#
# Conditional build:
%bcond_without	apidocs	# API documentation
%bcond_without	librsvg	# SVG scaling using librsvg

Summary:	The Eye of GNOME image viewer
Summary(pl.UTF-8):	Oko GNOME - przeglądarka obrazków
Summary(pt_BR.UTF-8):	Visualizador de imagem Eye of GNOME
Name:		eog
Version:	3.34.1
Release:	1
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/eog/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	f68762ed4cc6306e52cc8528257adf65
Patch0:		librsvg.patch
URL:		https://wiki.gnome.org/Apps/EyeOfGnome
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exempi-devel >= 1.99.5
BuildRequires:	gdk-pixbuf2-devel >= 2.36.5
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.54.0
BuildRequires:	gnome-desktop-devel >= 3.2.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gsettings-desktop-schemas-devel >= 3.4.0
BuildRequires:	gtk+3-devel >= 3.22.0
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.16}
BuildRequires:	lcms2-devel >= 2
BuildRequires:	libexif-devel >= 1:0.6.14
BuildRequires:	libjpeg-turbo-devel
BuildRequires:	libpeas-gtk-devel >= 1.0.0
%{?with_librsvg:BuildRequires:	librsvg-devel >= 2.40.0}
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	shared-mime-info >= 0.50
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
BuildRequires:	yelp-tools
BuildRequires:	zlib-devel
Requires(post,postun):	glib2 >= 1:2.42.0
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	exempi >= 1.99.5
Requires:	gdk-pixbuf2 >= 2.36.5
Requires:	glib2 >= 1:2.54.0
Requires:	gsettings-desktop-schemas >= 3.4.0
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme
Requires:	libexif >= 1:0.6.14
%{?with_rsvg:Requires:	librsvg >= 2.44.0}
Requires:	shared-mime-info >= 0.50
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Eye of GNOME is a tool for viewing/cataloging images.

%description -l pl.UTF-8
Eye of GNOME (Oko GNOME) jest narzędziem do oglądania i katalogowania
obrazków.

%description -l pt_BR.UTF-8
Aplicativo para visualizar imagens chamado Eye of GNOME.

%package devel
Summary:	Header files for eog
Summary(pl.UTF-8):	Pliki nagłówkowe eog
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+3-devel >= 3.22.0

%description devel
Header files for eog.

%description devel -l pl.UTF-8
Pliki nagłówkowe eog.

%package apidocs
Summary:	Eye of GNOME API documentation
Summary(pl.UTF-8):	Dokumentacja API Eye of GNOME
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Eye of GNOME API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Eye of GNOME.

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	-Dgtk_doc=%{?with_apidocs:true}%{!?with_apidocs:false} \
	%{!?with_librsvg:-Dlibrsvg=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/eog/plugins

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/eog
%dir %{_libdir}/eog
%dir %{_libdir}/eog/girepository-1.0
%{_libdir}/eog/girepository-1.0/Eog-3.0.typelib
%dir %{_libdir}/eog/plugins
%attr(755,root,root) %{_libdir}/eog/libeog.so
%{_libdir}/eog/plugins/fullscreen.plugin
%attr(755,root,root) %{_libdir}/eog/plugins/libfullscreen.so*
%{_libdir}/eog/plugins/reload.plugin
%attr(755,root,root) %{_libdir}/eog/plugins/libreload.so*
%{_libdir}/eog/plugins/statusbar-date.plugin
%attr(755,root,root) %{_libdir}/eog/plugins/libstatusbar-date.so*
%{_datadir}/%{name}
%{_datadir}/GConf/gsettings/eog.convert
%{_datadir}/glib-2.0/schemas/org.gnome.eog.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.gschema.xml
%{_datadir}/metainfo/eog.appdata.xml
%{_desktopdir}/eog.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.eog.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.eog.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.eog-symbolic.svg

%files devel
%defattr(644,root,root,755)
%{_includedir}/eog-3.0
%{_pkgconfigdir}/eog.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/eog
%endif
%changelog
* Fri Oct 25 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/eog.git;a=log;h=master

* Fri Oct 25 2019 Jan Rękorajski <baggins@pld-linux.org> 3bdf79f
- lower bullshit librsvg version dependency, eog builds and works with older (C-based) library

* Wed Oct 09 2019 Jakub Bogusz <qboosh@pld-linux.org> c816747
- updated to 3.34.1

* Sun Oct 06 2019 Jakub Bogusz <qboosh@pld-linux.org> 8e157e7
- updated to 3.34.0
- removed obsolete gtk-doc patch
- now it requires rust-based librsvg

* Thu May 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 75295f4
- updated to 3.32.2

* Wed Mar 14 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 0668f63
- Update to 3.28.0

* Sun Jan 07 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 1b32f29
- Update to 3.26.2

* Tue Apr 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> cf61942
- Update to 3.24.1

* Mon Mar 27 2017 Marcin Banasiak <marcin.banasiak@gmail.com> df2b205
- Update to 3.24.0

* Mon Oct 17 2016 Marcin Banasiak <marcin.banasiak@gmail.com> c55f079
- Update to 3.20.5

* Mon Jun 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 7a91409
- Update to 3.20.3

* Sun May 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 9a3db02
- updated to 3.20.2

* Tue Apr 12 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 63b7b8a
- Update to 3.20.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 9fb57bd
- Update to 3.20.0

* Mon Feb 22 2016 Jakub Bogusz <qboosh@pld-linux.org> 2ba5d22
- epochs, versioned install time dependencies, verbose icons files

* Sun Feb 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 5f0d1c2
- Update to 3.18.2 (fixes CVE-2013-7447)

* Sun Jan 10 2016 Elan Ruusamäe <glen@delfi.ee> 9c5f0b6
- noarch apidoc

* Tue Sep 29 2015 Łukasz Kieś <kiesiu@pld-linux.org> f28b94c
- updated to 3.18.0

* Sun Aug 23 2015 Łukasz Kieś <kiesiu@pld-linux.org> 63a97c9
- updated to 3.16.3

* Wed May 13 2015 Marcin Banasiak <marcin.banasiak@gmail.com> d12d1c7
- Update to 3.16.2

* Sun Apr 19 2015 Łukasz Kieś <kiesiu@pld-linux.org> 599c0db
- updated to 3.16.1

